#include <iostream>
#include <vector>
#include <bits/stdc++.h>
using namespace std;

int main() {
    std::vector<int> arr;
    int n;
    cin>>n;
    int res,max=0;
    for(int i=0; i<n;++i){
        cin>>res;
        if(res>max)
            max=res;
        arr.push_back(res);
    }
    sort(arr.begin(),arr.end());
    res=0;
    while(n>0){
        int i=0;
        while(i<n-1){
            if(arr[i]==0){
                arr.erase(arr.begin()+i,arr.begin()+i+1);
                --n;
            }
            if(arr[i]<arr[n-1])
                --arr[i];
            ++i;
        }
        res+=arr[n-1];
        arr.erase(arr.end()-1,arr.end());
        --n;
    }
    cout<<res;
}
